package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag950;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT950Creator;

public class Tag21Creator extends AbsTagCreate {

     private MT950Creator mt950Creator;

    public Tag21Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt950Creator= (MT950Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag21Value = mt950Creator.getRelatedReference();
        mt950Creator.set("21", tag21Value);
    }
}
